
From: Nick Piggin <nickpiggin@yahoo.com.au>

Just be clear that VM_RESERVED pages here are a bug, and the test is not there
because they are expected.

Signed-off-by: Nick Piggin <npiggin@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/rmap.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN mm/rmap.c~mm-comment-rmap mm/rmap.c
--- 25/mm/rmap.c~mm-comment-rmap	Tue Jul 26 13:29:07 2005
+++ 25-akpm/mm/rmap.c	Tue Jul 26 13:29:07 2005
@@ -531,6 +531,8 @@ static int try_to_unmap_one(struct page 
 	 * If the page is mlock()d, we cannot swap it out.
 	 * If it's recently referenced (perhaps page_referenced
 	 * skipped over this mm) then we should reactivate it.
+	 *
+	 * Pages belonging to VM_RESERVED regions should not happen here.
 	 */
 	if ((vma->vm_flags & (VM_LOCKED|VM_RESERVED)) ||
 			ptep_clear_flush_young(vma, address, pte)) {
_
